Subject: Re: linux-next: build failure after merge of the akpm-current tree

From: Stephen Rothwell <[email-masked]>
Date: Sat, 30 Jun 2018 13:18:22 +1000

Hi Alexey,

On Sat, 30 Jun 2018 00:25:22 +0300 Alexey Dobriyan <[email-masked]> wrote:
>
> On Fri, Jun 29, 2018 at 05:49:46PM +1000, Stephen Rothwell wrote:
> > fs/proc/inode.c:110:2: note: in expansion of macro 'BUILD_BUG_ON'
> >   BUILD_BUG_ON(sizeof(struct proc_dir_entry) >= SIZEOF_PDE);
> >   ^~~~~~~~~~~~
> > 
> > Caused by commit
> > 
> >   527ae8759f10 ("proc: fixup PDE allocation bloat")
> > 
> > I have reverted that commit for today.  
> 
> Can't reproduce it with commit 7aa4b0a46be8badd053c958481f0e89e634ae4df
> (the one before revert) both on 32-bit and 64-bit.
> 
> Can you post fs/proc/inode.i ?

Attached (xz compresesed).

This is built with gcc 7.3.1 (built from source) hosted on PowerPC LE
and targeted at PowerPC BE (a powerpc allyesconfig build).  I did not
have any trouble with any of my other PowerPC targeted builds.

-- 
Cheers,
Stephen Rothwell